"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestScopeContainer = void 0;
var routing_controllers_1 = require("routing-controllers");
var typedi_1 = require("typedi");
function RequestScopeContainer() {
    return routing_controllers_1.createParamDecorator({
        required: true,
        value: function (action) {
            return typedi_1.default.of(action.context.state.requestId);
        },
    });
}
exports.RequestScopeContainer = RequestScopeContainer;
//# sourceMappingURL=RequestScoped.js.map